org.apache.maven.scm.provider.cvslib.command.list

## Class AbstractCvsListCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.list.AbstractListCommand
    - - org.apache.maven.scm.provider.cvslib.command.list.AbstractCvsListCommand

- All Implemented Interfaces:
    Command, CvsCommand
  Direct Known Subclasses:
    CvsExeListCommand, CvsJavaListCommand

      public abstract class AbstractCvsListCommand
      extends AbstractListCommand
      implements CvsCommand

  Version:
    $Id: AbstractCvsListCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Kenney Westerhof

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsListCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract ListScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
    `protected ListScmResult` | `executeListCommand(ScmProviderRepository repo, ScmFileSet fileSet, boolean recursive, ScmVersion version)` List contents of the remote repository

    - ### Methods inherited from class org.apache.maven.scm.command.list.AbstractListCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### AbstractCvsListCommand

          public AbstractCvsListCommand()

  - ### Method Detail

    - #### executeListCommand

          protected ListScmResult executeListCommand(ScmProviderRepository repo,
                                         ScmFileSet fileSet,
                                         boolean recursive,
                                         ScmVersion version)
                                              throws ScmException

      List contents of the remote repository
      Specified by:
        `executeListCommand` in class `AbstractListCommand`
      Parameters:
        `repo` - what to list
        `fileSet` - the files to list
        `recursive` - whether list should return subfolder listing
      Returns:
        the list of files
      Throws:
        `ScmException`

    - #### executeCvsCommand

          protected abstract ListScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                                      throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.